cURL
curl --request PATCH \
--url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/workforce/{workforce}/{*path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/workforce/{workforce}/{*path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/workforce/{workforce}/{*path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workforce
Call Workforce (PATCH)
Proxy HTTP requests to a deployed workforce component.
PATCH
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
workforce
/
{workforce}
/
{*path}
cURL
This route is a gateway proxy to a running workforce deployment (an agent or workflow). See Call Workforce (POST) for path, query, and limit details.
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Organization id
Project id
Workforce component: numeric id, manifest UUID, or name
Sub-path on the deployment server.
Query Parameters
Git branch name (for example main).
Response
Response from the workforce deployment